
create table if not exists public.filterclass (
	class varchar not null primary key,
	returns varchar not null,
	paramdef json,
	exec text,
	template text,
	prel varchar not null,
	pkey varchar not null,
	ptype varchar not null,
	pord text not null default 'asc',
	memo text
);

create table if not exists public.filterlist (
	guid uuid not null default ct.uuid_generate_v1() primary key,
	class varchar not null references public.filterclass(class) on update cascade on delete cascade deferrable initially deferred,
	curname varchar,
	param json,
	pval varchar, 
	hit timestamptz not null default now(),
	extra text
);

create or replace view public.vfilter as select * from public.filterlist join public.filterclass using (class);

