create or replace function binfs.load(istore varchar, ikey anyelement) returns bytea as $$
declare
	path text;
begin
	select into path binfs.path(istore,ikey);
	if path isnull then
		return null;
	end if;
	return lib.bytea_load(path);	
end;
$$ language plpgsql;
