CREATE or replace FUNCTION lib.stringz_bar_chart(istr text) RETURNS TABLE(chr character varying, freq numeric)
    LANGUAGE sql
    AS $_$
	select unnest as chr, (count+max)/(length*1.0)  as freq from (select unnest, length, count, max(zcount) over() from (select unnest, length, count(unnest) as count, case when unnest = '*' then count(unnest) else 0 end as zcount from (select unnest(regexp_split_to_array(x,'')), length(x) from (select transform('classless',upper($1))::text as x) q ) qq group by unnest,length) qqq ) qqqq where unnest is distinct from '*';
$_$;

CREATE or replace FUNCTION lib.stringz_split_uniform(istr text) RETURNS TABLE(str text, strlen integer)
    LANGUAGE sql
    AS $_$
	with str as (select q.n,q.x,q.l,q.z from (select row_number() over() as n, x, length(x) as l, case when x ~ E'\\*' then length(x) else 0 end as z from regexp_split_to_table(regexp_replace(transform('classless',upper($1)),E'((.)(\\2+)?)',E'\\1 ','g'),' ') as x) q) select str.x as str, str.l+coalesce(su.z,0)+coalesce(sd.z,0) as strlen from str left join str su on su.n = str.n-1 left join str sd on sd.n = str.n+1 where str.l > 0 and str.x !~ E'\\*';
$_$;

